| OpenCV 4.3.0 Open Source Computer Vision

Public Member Functions | List of all members
cv::detail::NoExposureCompensator Class Reference
Images stitching » Exposure Compensation

Stub exposure compensator which does nothing. More...

`#include <opencv2/stitching/detail/exposure_compensate.hpp>`

Inheritance diagram for cv::detail::NoExposureCompensator:

## Public Member Functions
void | apply (int, Point, InputOutputArray, InputArray) CV_OVERRIDE
| Compensate exposure in the specified image. More...
void | feed (const std::vector< Point > &, const std::vector< UMat > &, const std::vector< std::pair< UMat, uchar > > &) CV_OVERRIDE
void | getMatGains (std::vector< Mat > &umv) CV_OVERRIDE
void | setMatGains (std::vector< Mat > &umv) CV_OVERRIDE
Public Member Functions inherited from cv::detail::ExposureCompensator
| ExposureCompensator ()
virtual | ~ExposureCompensator ()
void | feed (const std::vector< Point > &corners, const std::vector< UMat > &images, const std::vector< UMat > &masks)
bool | getUpdateGain ()
void | setUpdateGain (bool b)

## Additional Inherited Members
Public Types inherited from cv::detail::ExposureCompensator
enum | { NO, GAIN, GAIN_BLOCKS, CHANNELS, CHANNELS_BLOCKS }
Static Public Member Functions inherited from cv::detail::ExposureCompensator
static Ptr< ExposureCompensator > | createDefault (int type)
Protected Attributes inherited from cv::detail::ExposureCompensator
bool | updateGain

## Detailed Description

Stub exposure compensator which does nothing.

## Member Function Documentation

## ◆ apply()

void cv::detail::NoExposureCompensator::apply | ( | int | index,
|  | Point | corner,
|  | InputOutputArray | image,
|  | InputArray | mask
| ) |  |
| inline virtual

Python:
| arg3 | = | cv.detail_NoExposureCompensator.apply( | arg1, arg2, arg3, arg4 | )

Compensate exposure in the specified image.

Parameters

  index | Image index
  corner | Image top-left corner
  image | Image to process
  mask | Image mask

Implements cv::detail::ExposureCompensator.

## ◆ feed()

void cv::detail::NoExposureCompensator::feed | ( | const std::vector< Point > & | corners,
|  | const std::vector< UMat > & | images,
|  | const std::vector< std::pair< UMat, uchar > > & | masks
| ) |  |
| inline virtual

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Implements cv::detail::ExposureCompensator.

## ◆ getMatGains()

void cv::detail::NoExposureCompensator::getMatGains | ( | std::vector< Mat > & | umv | ) |
| inline virtual

Python:
| umv | = | cv.detail_NoExposureCompensator.getMatGains( | [, umv] | )

Reimplemented from cv::detail::ExposureCompensator.

## ◆ setMatGains()

void cv::detail::NoExposureCompensator::setMatGains | ( | std::vector< Mat > & | umv | ) |
| inline virtual

Python:
| None | = | cv.detail_NoExposureCompensator.setMatGains( | umv | )

Reimplemented from cv::detail::ExposureCompensator.

The documentation for this class was generated from the following file:

- opencv2/stitching/detail/exposure_compensate.hpp